#include <SoftwareSerial.h> // Biblioteca para o Bluetooth

SoftwareSerial Bluetooth(A0, A1); // Objeto Bluetooth: A0 - TX; A1 - RX

const byte LED = 8;   // porta do LED
bool ligado = false;  // Indica que o LED está desligado

void setup() {
  Serial.begin(9600);
  Bluetooth.begin(9600);

  pinMode(LED, OUTPUT);
}

void loop() {
  int value = 0;  // Inicializa a variável value a zero
  if(Bluetooth.available()){ // Se receber algum valor entra na condição
    value = Bluetooth.parseInt(); // Garante que o valor recebido é inteiro
    Serial.print(": ");
    Serial.println(value);
  }

  if(value == 1){ // Se receber do bluetooth o valor 1 vai ligar / desligar o LED
    if(!ligado){  // Liga o LED
      digitalWrite(LED, HIGH);
      ligado = true;
    } else {      // Desliga o LED
      digitalWrite(LED, LOW);
      ligado = false;
    }
  }
}
